commons-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jason Dillon (JIRA)" <j...@apache.org>
Subject [jira] [Closed] (CLI-276) Adjust access-modifier of checkRequiredOptions() to protected
Date Sat, 27 May 2017 20:41:04 GMT

     [ https://issues.apache.org/jira/browse/CLI-276?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Jason Dillon closed CLI-276.
----------------------------

Thx!  works as expected

> Adjust access-modifier of checkRequiredOptions() to protected
> -------------------------------------------------------------
>
>                 Key: CLI-276
>                 URL: https://issues.apache.org/jira/browse/CLI-276
>             Project: Commons CLI
>          Issue Type: Improvement
>          Components: CLI-1.x
>    Affects Versions: 1.4
>            Reporter: Jason Dillon
>             Fix For: 1.5
>
>
> ... for parity with GnuParser, PosixParser and Parser impls to allow sub-class a bit
more control.
> I have a use-case in which needs to defer the required-options check, which is doable
with GnuParser and PosixParser, but the new DefaultParser doesn't allow this due to a private
access-modifier on checkRequiredOptions().
> https://github.com/apache/commons-cli/pull/11



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

Mime
View raw message